extends Control
class_name DragonListEntry

@export var texture_rect: TextureRect
@export var name_label: Label
@export var code_label: Label

var code_generator: CodeGenerator

@export var hat_outfits: DragonOutfit
@export var shirt_outfits: DragonOutfit
@export var shoes_outfits: DragonOutfit


func set_properties(name: String, hat: Texture2D, shirt: Texture2D, shoes: Texture2D) -> void:
	name_label.text = name
	code_label.text = CodeGenerator.new(hat_outfits, shirt_outfits, shoes_outfits).encrypt(hat, shirt, shoes, name)
